package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItempoolRemoveitemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItempoolRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItempoolRemoveitemRequest) SetParam0(v domain.AlibabaHmMarketingItempoolRemoveitemItemPoolSku) *AlibabaHmMarketingItempoolRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemRequest) SetParam1(v domain.AlibabaHmMarketingItempoolRemoveitemCommonActivityParam) *AlibabaHmMarketingItempoolRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
